Product HuntBuddy AI Access (MCP) is on Product Hunt.Buddy AI Access (MCP) is live on Product Hunt today.Join the discussion

Edit Environment using YAML

View as Markdown
  • PATCH
  • /workspaces
  • /:workspace
  • /environments
  • /:environment_id
  • /yaml

Update environment from YAML

Request

REQUIRED SCOPES
ENVIRONMENT_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

environment_idrequiredstring
The ID of the environment

Example: "3a4KbBQl"

BODY PARAMETERS
yamlstring
The Base64-encoded YAML definition of the environment

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the environment
namerequiredstring
The name of the environment
identifierstring
A human-readable ID of the environment. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
tagsstring[]
The list of tags associated with the environment

Constraints: Unique items required

iconstring
The icon of the environment
public_urlstring
The public URL of the environment
pipelines_access_levelstring enum
Indicates if all pipelines can inherit to this environment
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
environments_access_levelstring enum
Indicates if all pipelines can use this environment
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
The List of pipelines that can use this environment (specified by project slug and pipeline slug)
allowed_environmentsAllowedEnvironmentView[]
The List of environments that can inherit this environment (specified by project slug and environment slug)
create_datestring
The creation date of the environment
projectShortProjectView
Short representation of a project
permissionsPermissionsView
Access permissions configuration
base_environmentsstring[]
The list of environments that is used as a base for this environment (specified by project slug and environment slug)
targetsTargetView[]
The list of targets associated with the environment
base_onlyboolean
Indicates if this environment can only be used as a base for other environments
scopestring enum
The scope of the environment
Allowed enum:
PROJECT,
WORKSPACE
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource

Last modified on Sep 15, 2026

Request example

curl -X PATCH "https://api.buddy.works/workspaces/:workspace/environments/:environment_id/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "yaml": "LSBlbnZpcm9ubWVudDo..." }'